## lyskom-elisp-client 0.46.1

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# -*- Makefile -*-
# $Id: distribution-Makefile.in,v 44.4 2000/09/15 12:16:44 byers Exp $
# Copyright (C) 1997  Lysator Academic Computer Association.
#

# ======================================================================
# EMACS is the command used to start Emacs on your system. You need
# Gnu Emacs 19.34 or later, or XEmacs 19.15 or 20.2 or later.
# ======================================================================

EMACS=emacs


# ======================================================================
# The following lines control where things go when installed
# LISPDIR is where lyskom.el and lyskom.elc go
# INFODIR is where documentation goes (if there is any)
# ======================================================================

prefix=/usr/local
LISPDIR=/usr/local/share/emacs/site-lisp
INFODIR=${prefix}/info


# ======================================================================
# LANGUAGE is a list of languages to compile in. Entries in the list
# are separated by whitespace. The following # languages are available
#
#	Name in list		Language
#	swedish			Swedish
#	english			U.S. English
#
# The first language in the list will be the default language.
# ======================================================================

LANGUAGES=swedish english


# ======================================================================
# ======================================================================
#
#		You should change nothing beyond this point
#
# ======================================================================
# ======================================================================

RM=/bin/rm -f
SHELL=/bin/sh
LANGUAGE-EL=$(LANGUAGES:=-strings.el)
EMACS-BATCH=$(EMACS) -batch
SOURCES	 = 	$(LANGUAGE-EL) \
		komtypes.el \
		clienttypes.el \
		deferred-insert.el \
		utilities.el \
		completing-read.el \
		command.el \
		buffers.el \
		aux-items.el \
		mime.el \
		prefetch.el \
		startup.el \
		reading.el \
		internal.el \
		services.el \
		parse.el \
		cache.el \
		view-mode.el \
		commands1.el \
		commands2.el \
		review.el \
		edit-text.el \
		filter.el \
		filter-edit.el \
		lyskom-buttons.el \
		view-text.el \
		async.el \
		mship-edit.el \
		prioritize.el \
		flags.el \
		messages.el \
		ansaphone.el \
		remote-control.el \
		menus.el slow.el \
		elib-string.el \
		option-edit.el \
		talkback.el \
		lyskom-rest.el

HEADER = 	header.el \
		defvar.el \
		feature.el \
		vars.el \
		macros.el \
		compatibility.el \
		language.el


all: envcheck lyskom-0.46.1.elc

envcheck:
	$(EMACS-BATCH) -l ./envcheck.el -f lyskom-check-environment

lyskom-0.46.1.elc: lyskom-0.46.1.el
	$(EMACS-BATCH) -l ./lpath.el -f batch-byte-compile lyskom-0.46.1.el

lyskom-0.46.1.el: $(HEADER) $(SOURCES) 
	cat $(HEADER) $(SOURCES) > lyskom-0.46.1.el

install: lyskom-0.46.1.elc
	cp lyskom-0.46.1.el lyskom-0.46.1.elc $(LISPDIR)
	rm -f $(LISPDIR)/lyskom.el
	ln -s $(LISPDIR)/lyskom-0.46.1.el $(LISPDIR)/lyskom.el
	rm -f $(LISPDIR)/lyskom.elc
	ln -s $(LISPDIR)/lyskom-0.46.1.elc $(LISPDIR)/lyskom.elc

clean:
	$(RM) lyskom-0.46.1.el
	$(RM) *~ *.elc core *.bak

## lyskom-elisp-client 0.47.1

=== Makefile ===
# -*- Makefile -*-
# $Id: distribution-Makefile.in,v 44.7 2002/06/13 22:31:12 qha Exp $
# Copyright (C) 1997  Lysator Academic Computer Association.
#

# ======================================================================
# EMACS is the command used to start Emacs on your system. Read README
# for information about the Emacs versions that can be used.
# ======================================================================

EMACS = emacs


# ======================================================================
# The following lines control where things go when installed.
#
# LISPDIR is where lyskom.el and lyskom.elc go
# INFODIR is where documentation goes (if there is any)
# ======================================================================

prefix = /usr/local
LISPDIR = /usr/local/share/emacs/site-lisp
INFODIR = ${prefix}/info


# ======================================================================
# LANGUAGE is a list of languages to compile in. Entries in the list
# are separated by whitespace. The following languages are available:
#
#	Name in list		Language
#	swedish			Swedish
#	english			U.S. English
#
# The first language in the list will be the default language.
# ======================================================================

LANGUAGES = english swedish


# ======================================================================
# ======================================================================
#
#		You should change nothing beyond this point.
#
# ======================================================================
# ======================================================================

RM = /bin/rm -f
SHELL = /bin/sh
LANGUAGE-EL = $(LANGUAGES:=-strings.el) $(LANGUAGES:=-help.el)
EMACS-BATCH = $(EMACS) -batch
HEADER = header.el defvar.el feature.el vars.el-release macros.el compatibility.el language.el help.el
SOURCES	 = komtypes.el clienttypes.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el prioritize.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el

all: envcheck lyskom-0.47.1.elc

envcheck:
	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment

lyskom-0.47.1.elc: lyskom-0.47.1.el
	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.47.1.el

lyskom-0.47.1.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.47.1.el

install: lyskom-0.47.1.elc
	cp lyskom-0.47.1.el lyskom-0.47.1.elc $(LISPDIR)
	rm -f $(LISPDIR)/lyskom.el
	ln -s lyskom-0.47.1.el $(LISPDIR)/lyskom.el
	rm -f $(LISPDIR)/lyskom.elc
	ln -s lyskom-0.47.1.elc $(LISPDIR)/lyskom.elc

clean:
	$(RM) lyskom-0.47.1.el
	$(RM) *~ *.elc core *.bak

## lyskom-elisp-client 0.48

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+# Generated automatically from Makefile.in by configure.
 # -*- Makefile -*-
 # $Id: distribution-Makefile.in,v 44.7 2002/06/13 22:31:12 qha Exp $
 # Copyright (C) 1997  Lysator Academic Computer Association.
@@ -50,26 +51,26 @@
 LANGUAGE-EL = $(LANGUAGES:=-strings.el) $(LANGUAGES:=-help.el)
 EMACS-BATCH = $(EMACS) -batch
 HEADER = header.el defvar.el feature.el vars.el-release macros.el compatibility.el language.el help.el
-SOURCES	 = komtypes.el clienttypes.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el prioritize.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
+SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.47.1.elc
+all: envcheck lyskom-0.48.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.47.1.elc: lyskom-0.47.1.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.47.1.el
+lyskom-0.48.elc: lyskom-0.48.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48.el
 
-lyskom-0.47.1.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
-	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.47.1.el
+lyskom-0.48.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
+	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48.el
 
-install: lyskom-0.47.1.elc
-	cp lyskom-0.47.1.el lyskom-0.47.1.elc $(LISPDIR)
+install: lyskom-0.48.elc
+	cp lyskom-0.48.el lyskom-0.48.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.47.1.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.47.1.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.47.1.el
+	$(RM) lyskom-0.48.el
 	$(RM) *~ *.elc core *.bak

=== debian/changelog ===
lyskom-elisp-client (0.48-14) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Depend on emacs23 instead of emacs22.
  * Bumped Standards-Version to 3.8.4 with no changes.

 -- Joel Rosdahl <joel@debian.org>  Sun, 21 Feb 2010 15:17:11 +0100

lyskom-elisp-client (0.48-13) unstable; urgency=low

  * Added Russian translation from Yuri Kozlov. Closes: #549177.
  * Added -e flag to postinst and prerm scripts.
  * Clarified that the license is GPL2+.
  * Switched patch manager from dpatch to quilt.
  * Added README.source.
  * Updated to Standards-Version 3.8.3.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Oct 2009 19:21:16 +0200

lyskom-elisp-client (0.48-12) unstable; urgency=low

  * Added Dutch translation from Bart Cornelis. Closes: #449399.
  * Depend on emacs22 instead of emacs21.
  * Added Lintian override for
    making-assumptions-about-interfaces-in-templates; Lintian seems to
    misinterpret the template somehow.

 -- Joel Rosdahl <joel@debian.org>  Mon, 03 Dec 2007 19:27:50 +0100

lyskom-elisp-client (0.48-11) unstable; urgency=low

  * Added Portuguese translation by Américo Monteiro. Closes: #435505.

 -- Joel Rosdahl <joel@debian.org>  Sat, 04 Aug 2007 23:00:09 +0200

lyskom-elisp-client (0.48-10) unstable; urgency=low

  * Removed DH_COMPAT variable from debian/rules to fix Lintian warning.
  * Use debhelper compatibility 5.
  * Bumped build dependency on debhelper.

 -- Joel Rosdahl <joel@debian.org>  Sun, 22 Apr 2007 22:11:12 +0200

lyskom-elisp-client (0.48-9) unstable; urgency=low

  * Added German translation from Helge Kreutzmann. Closes: #411511.

 -- Joel Rosdahl <joel@debian.org>  Mon, 26 Feb 2007 20:19:32 +0100

lyskom-elisp-client (0.48-8) unstable; urgency=low

  * Updated Japanese translation from Hideki Yamane. Closes: #400035.

 -- Joel Rosdahl <joel@debian.org>  Mon, 29 Jan 2007 20:31:20 +0100

lyskom-elisp-client (0.48-7) unstable; urgency=high

  * Don't remove all *.el files in /usr/share/$FLAVOR/site-lisp.
    Closes: bug#381718, which is has severity critical; hence urgency=high.

 -- Joel Rosdahl <joel@debian.org>  Sun,  6 Aug 2006 19:24:37 +0000

lyskom-elisp-client (0.48-6) unstable; urgency=low

  * Updated Czech translation with patch from Miroslav Kure.
    Closes: bug#370732.
  * Updated to Standards-Version 3.7.2.
  * Made debhelper and dpatch dependencies ordinary Build-Depends
    instead of Build-Depends-Indep.

 -- Joel Rosdahl <joel@debian.org>  Tue,  6 Jun 2006 20:57:12 +0200

lyskom-elisp-client (0.48-5) unstable; urgency=low

  * Added Swedish translation from Daniel Nylander. Closes: bug#330610.

 -- Joel Rosdahl <joel@debian.org>  Sun,  9 Oct 2005 20:56:41 +0200

lyskom-elisp-client (0.48-4) unstable; urgency=low

  * Updated Vietnamese translation. Closes: bug#324223.
  * Updated French translation. Closes: bug#325137.

 -- Joel Rosdahl <joel@debian.org>  Fri,  2 Sep 2005 18:20:27 +0200

lyskom-elisp-client (0.48-3) unstable; urgency=low

  * Depend on "debconf | debconf-2.0" as requested by Joey Hess.
  * Updated to Standards-Version 3.6.2.

 -- Joel Rosdahl <joel@debian.org>  Thu, 11 Aug 2005 21:32:59 +0200

lyskom-elisp-client (0.48-2) unstable; urgency=low

  * Added Vietnamese debconf templates translation from Clytie Siddall.
    Closes: bug#312640.
  * Corrected typo in English debconf templates as suggested by Clytie
    Siddall. Closes: bug#312641.

 -- Joel Rosdahl <joel@debian.org>  Sat, 11 Jun 2005 10:49:53 +0200

lyskom-elisp-client (0.48-1) unstable; urgency=low

  * New upstream release.
  * Use dpatch for handling patches against upstream.

 -- Joel Rosdahl <joel@debian.org>  Sun, 23 Jan 2005 20:23:55 +0100

lyskom-elisp-client (0.47.1-7) unstable; urgency=low

  * Added Czech debconf templates translation. Closes: bug#289282.

 -- Joel Rosdahl <joel@debian.org>  Sun, 16 Jan 2005 21:58:48 +0100

lyskom-elisp-client (0.47.1-6) unstable; urgency=low

  * Added Japanese debconf templates translation. Closes: bug#260926.

 -- Joel Rosdahl <joel@debian.org>  Sun,  1 Aug 2004 15:10:56 +0200

lyskom-elisp-client (0.47.1-5) unstable; urgency=low

  * Added French debconf templates translation. Closes: bug#236725.

 -- Joel Rosdahl <joel@debian.org>  Thu,  1 Apr 2004 19:22:04 +0200

lyskom-elisp-client (0.47.1-4) unstable; urgency=low

  * Use gettext-based debconf templates. Closes: bug#233903.
  * Use debhelper compatibility level 4.

 -- Joel Rosdahl <joel@debian.org>  Fri, 20 Feb 2004 21:47:42 +0100

lyskom-elisp-client (0.47.1-3) unstable; urgency=low

  * Removed dependency on emacs20. Closes: bug#232768.
  * Updated to Standards-Version 3.6.1.

 -- Joel Rosdahl <joel@debian.org>  Mon, 16 Feb 2004 21:37:15 +0100

lyskom-elisp-client (0.47.1-2) unstable; urgency=low

  * Made Swedish keymap work in newer GNU Emacsen. Patch from Kalle
    Svensson. Closes: Bug#201736.
  * Updated to Standards-Version 3.5.10.

 -- Joel Rosdahl <joel@debian.org>  Thu, 17 Jul 2003 17:13:30 +0200

lyskom-elisp-client (0.47.1-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Wed, 23 Oct 2002 22:12:03 +0200

lyskom-elisp-client (0.47-1) unstable; urgency=low

  * New upstream release.

 -- Joel Rosdahl <joel@debian.org>  Sun,  8 Sep 2002 19:22:19 +0200

lyskom-elisp-client (0.46.1-3) unstable; urgency=low

  * Included com.lysator.liu.se as the default server.
  * Wrote a Swedish README file (README.debian.sv).
  * Fixed compilation warning in slow.el.

 -- Joel Rosdahl <joel@debian.org>  Sun,  6 Jan 2002 13:02:03 +0100

lyskom-elisp-client (0.46.1-2) unstable; urgency=low

  * Use section "net" instead of "misc".

 -- Joel Rosdahl <joel@debian.org>  Wed,  7 Nov 2001 22:05:25 +0100

lyskom-elisp-client (0.46.1-1) unstable; urgency=low

  * Initial version.  Closes: bug#115049.

 -- Joel Rosdahl <joel@debian.org>  Wed, 31 Oct 2001 23:03:19 +0100

=== debian/control ===
Source: lyskom-elisp-client
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5.0.49)

Package: lyskom-elisp-client
Architecture: all
Depends: emacs23 | emacsen, ${misc:Depends}
Description: emacs client for LysKOM
 A LysKOM client implemented in Emacs LISP. This client is the most
 used and developed one.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = lyskom-elisp-client
VERSION = 0.48

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) lyskom-$(VERSION).el
	cp lpath.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
	gzip -c lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz

	install -m 644 debian/50$(PACKAGE).el debian/$(PACKAGE)/etc/emacs/site-start.d
	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/$(PACKAGE)
	install -m 755 debian/emacsen-common-remove debian/$(PACKAGE)/usr/lib/emacsen-common/packages/remove/$(PACKAGE)
	cp NEWS-$(VERSION) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
	cp debian/fullserverlist.el debian/englishserverlist.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)

	install -d -m 755 debian/$(PACKAGE)/usr/share/lintian/overrides
	install -m 644 debian/$(PACKAGE).lintian debian/$(PACKAGE)/usr/share/lintian/overrides/$(PACKAGE)

	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build
# We have nothing to do by default.

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## lyskom-elisp-client 0.48%2Bcvs20100715

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION = 0.48
+VERSION = 0.48+cvs20100715
 
 build: build-stamp
 build-stamp:
@@ -36,7 +36,8 @@
 	install -m 644 debian/50$(PACKAGE).el debian/$(PACKAGE)/etc/emacs/site-start.d
 	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/$(PACKAGE)
 	install -m 755 debian/emacsen-common-remove debian/$(PACKAGE)/usr/lib/emacsen-common/packages/remove/$(PACKAGE)
-	cp NEWS-$(VERSION) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
+#	cp NEWS-$(VERSION) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
+	cp NEWS-0.49 debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
 	cp debian/fullserverlist.el debian/englishserverlist.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
 
 	install -d -m 755 debian/$(PACKAGE)/usr/share/lintian/overrides

## lyskom-elisp-client 0.48%2Bgit.20180410.1d357c67

=== debian/changelog ===
lyskom-elisp-client (0.48+git.20180410.1d357c67-3) unstable; urgency=medium

  * Source-only upload.

 -- Joel Rosdahl <joel@debian.org>  Sat, 03 Aug 2019 11:31:15 +0200

lyskom-elisp-client (0.48+git.20180410.1d357c67-2) unstable; urgency=medium

  * Check whether Emacs flavor exists (closes: #931168)

 -- Joel Rosdahl <joel@debian.org>  Fri, 12 Jul 2019 23:37:58 +0200

lyskom-elisp-client (0.48+git.20180410.1d357c67-1) unstable; urgency=medium

  * Handle unversioned Emacs flavor "emacs" (closes: #930784)
  * Bump Standards-Version to 4.3.0 with no changes
  * New upstream release 0.48+git.20180410.1d357c67
  * Bump debhelper to version 12

 -- Joel Rosdahl <joel@debian.org>  Thu, 20 Jun 2019 20:50:40 +0200

lyskom-elisp-client (0.48+git.20160707.372be663-1) unstable; urgency=medium

  * New upstream release 0.48+git.20160707.372be663
  * Bump Standards-Version to 3.9.8 (no changes)
  * Add Brazilian Portuguese translation (closes: #831300)
  * Hardcode package version in debian/rules since it's no longer available

 -- Joel Rosdahl <joel@debian.org>  Sun, 28 Aug 2016 17:30:44 +0200

lyskom-elisp-client (0.48+git.20140815.afa49c26-3) unstable; urgency=medium

  * Compensate for behavioral change in grep 2.23 (closes: #817772)

 -- Joel Rosdahl <joel@debian.org>  Thu, 17 Mar 2016 08:17:20 +0100

lyskom-elisp-client (0.48+git.20140815.afa49c26-2) unstable; urgency=medium

  * Make build reproducible (closes: #777487)
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Joel Rosdahl <joel@debian.org>  Sun, 15 Feb 2015 14:30:54 +0100

lyskom-elisp-client (0.48+git.20140815.afa49c26-1) unstable; urgency=medium

  * New upstream release 0.48+git.20140815.afa49c26
  * Remove obsolete patch
  * Get upstream version automatically

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 Aug 2014 17:41:02 +0200

lyskom-elisp-client (0.48+git.20140704.9f19be20-2) unstable; urgency=medium

  * Remove obsolete conflict with emacs21 (closes: #665302)
  * Add Italian translation (closes: #729794)

 -- Joel Rosdahl <joel@debian.org>  Thu, 10 Jul 2014 15:05:03 +0200

lyskom-elisp-client (0.48+git.20140704.9f19be20-1) unstable; urgency=low

  * New snapshot from upstream repository
  * Update patch with new filename
  * Update version
  * Remove dependency on emacs23 (closes: #754022)
  * Bump Standards-Version to 3.9.5
  * Use debhelper compat level 8
  * Add description to xemacs_parse_time_fix.patch
  * Use dh_prep instead of "dh_clean -k"
  * Add recommended build-arch and build-indep targets
  * Add watch file saying that no watched URL is possible
  * Remove obsolete Lintian override
  * Update URL of upstream sources

 -- Joel Rosdahl <joel@debian.org>  Thu, 10 Jul 2014 13:36:42 +0200

lyskom-elisp-client (0.48+cvs20100715-3) unstable; urgency=low

  * Added Danish translation. Closes: #627822.
  * Updated to Standards-Version to 3.9.2 (no changes needed).

 -- Joel Rosdahl <joel@debian.org>  Sun, 29 May 2011 12:11:38 +0200

lyskom-elisp-client (0.48+cvs20100715-2) unstable; urgency=low

  * Fix (suggested by Marcus Comstedt) for "Symbol's function definition
    is void: parse-time-string" error in XEmacs.
  * Updated to Standards-Version 3.9.1 (no changes needed).

 -- Joel Rosdahl <joel@debian.org>  Wed, 04 Aug 2010 18:07:42 +0200

lyskom-elisp-client (0.48+cvs20100715-1) unstable; urgency=low

  * New version from upstream CVS with Emacs 22, 23 and 24 compatibility
    improvements. Emacs 21 support dropped.
  * Added Spanish translation from Ricardo Fraile. Closes: #581313.
  * Bumped Standards-Version to 3.9.0 with no changes.

 -- Joel Rosdahl <joel@debian.org>  Thu, 15 Jul 2010 11:00:16 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,12 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION = 0.48+cvs20100715
+VERSION := 0.48+git.20180410.1d357c67
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:
 	dh_testdir
 
@@ -26,12 +29,12 @@
 #	dh_testversion
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) lyskom-$(VERSION).el
 	cp lpath.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
-	gzip -c lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
+	gzip -nc lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
 
 	install -m 644 debian/50$(PACKAGE).el debian/$(PACKAGE)/etc/emacs/site-start.d
 	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/$(PACKAGE)
@@ -39,9 +42,6 @@
 #	cp NEWS-$(VERSION) debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
 	cp NEWS-0.49 debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)
 	cp debian/fullserverlist.el debian/englishserverlist.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
-
-	install -d -m 755 debian/$(PACKAGE)/usr/share/lintian/overrides
-	install -m 644 debian/$(PACKAGE).lintian debian/$(PACKAGE)/usr/share/lintian/overrides/$(PACKAGE)
 
 	dh_installdebconf
 	dh_installdocs

## lyskom-elisp-client 0.48%2Bgit.20200923.ec349ff4

=== debian/control ===
Source: lyskom-elisp-client
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 4.5.1
Build-Depends: debhelper (>= 12)

Package: lyskom-elisp-client
Architecture: all
Depends: emacs, ${misc:Depends}
Description: emacs client for LysKOM
 A LysKOM client implemented in Emacs LISP. This client is the most
 used and developed one.

## lyskom-elisp-client 0.48+cvs20100715

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
-# Generated automatically from Makefile.in by configure.
 # -*- Makefile -*-
-# $Id: distribution-Makefile.in,v 44.7 2002/06/13 22:31:12 qha Exp $
+# $Id: distribution-Makefile.in,v 44.7 2002-06-13 22:31:12 qha Exp $
 # Copyright (C) 1997  Lysator Academic Computer Association.
 #
 
@@ -21,7 +20,7 @@
 
 prefix = /usr/local
 LISPDIR = /usr/local/share/emacs/site-lisp
-INFODIR = ${prefix}/info
+INFODIR = ${prefix}/share/info
 
 
 # ======================================================================
@@ -53,24 +52,24 @@
 HEADER = header.el defvar.el feature.el vars.el-release macros.el compatibility.el language.el help.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48.elc
+all: envcheck lyskom-0.48+cvs20100715.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48.elc: lyskom-0.48.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48.el
+lyskom-0.48+cvs20100715.elc: lyskom-0.48+cvs20100715.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+cvs20100715.el
 
-lyskom-0.48.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
-	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48.el
+lyskom-0.48+cvs20100715.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
+	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+cvs20100715.el
 
-install: lyskom-0.48.elc
-	cp lyskom-0.48.el lyskom-0.48.elc $(LISPDIR)
+install: lyskom-0.48+cvs20100715.elc
+	cp lyskom-0.48+cvs20100715.el lyskom-0.48+cvs20100715.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+cvs20100715.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+cvs20100715.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48.el
+	$(RM) lyskom-0.48+cvs20100715.el
 	$(RM) *~ *.elc core *.bak

=== debian/control ===
Source: lyskom-elisp-client
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0.49)

Package: lyskom-elisp-client
Architecture: all
Depends: emacs23 | emacsen, ${misc:Depends}
Conflicts: emacs21
Description: emacs client for LysKOM
 A LysKOM client implemented in Emacs LISP. This client is the most
 used and developed one.

## lyskom-elisp-client 0.48+git.20140704.9f19be20

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,4 @@
 # -*- Makefile -*-
-# $Id: distribution-Makefile.in,v 44.7 2002-06-13 22:31:12 qha Exp $
 # Copyright (C) 1997  Lysator Academic Computer Association.
 #
 
@@ -49,27 +48,27 @@
 SHELL = /bin/sh
 LANGUAGE-EL = $(LANGUAGES:=-strings.el) $(LANGUAGES:=-help.el)
 EMACS-BATCH = $(EMACS) -batch
-HEADER = header.el defvar.el feature.el vars.el-release macros.el compatibility.el language.el help.el
+HEADER = header.el defvar.el feature.el version.el-release vars.el macros.el compatibility.el language.el help.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+cvs20100715.elc
+all: envcheck lyskom-0.48+git.20140704.9f19be20.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+cvs20100715.elc: lyskom-0.48+cvs20100715.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+cvs20100715.el
+lyskom-0.48+git.20140704.9f19be20.elc: lyskom-0.48+git.20140704.9f19be20.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20140704.9f19be20.el
 
-lyskom-0.48+cvs20100715.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
-	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+cvs20100715.el
+lyskom-0.48+git.20140704.9f19be20.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
+	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+git.20140704.9f19be20.el
 
-install: lyskom-0.48+cvs20100715.elc
-	cp lyskom-0.48+cvs20100715.el lyskom-0.48+cvs20100715.elc $(LISPDIR)
+install: lyskom-0.48+git.20140704.9f19be20.elc
+	cp lyskom-0.48+git.20140704.9f19be20.el lyskom-0.48+git.20140704.9f19be20.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+cvs20100715.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20140704.9f19be20.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+cvs20100715.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20140704.9f19be20.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+cvs20100715.el
+	$(RM) lyskom-0.48+git.20140704.9f19be20.el
 	$(RM) *~ *.elc core *.bak

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION := 0.48+git.20180410.1d357c67
+VERSION = 0.48+git.20140704.9f19be20
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -34,7 +34,7 @@
 
 	$(MAKE) lyskom-$(VERSION).el
 	cp lpath.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
-	gzip -nc lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
+	gzip -c lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
 
 	install -m 644 debian/50$(PACKAGE).el debian/$(PACKAGE)/etc/emacs/site-start.d
 	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/$(PACKAGE)

## lyskom-elisp-client 0.48+git.20140815.afa49c26

=== Makefile ===
--- 
+++ 
@@ -51,24 +51,24 @@
 HEADER = header.el defvar.el feature.el version.el-release vars.el macros.el compatibility.el language.el help.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+git.20140704.9f19be20.elc
+all: envcheck lyskom-0.48+git.20140815.afa49c26.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+git.20140704.9f19be20.elc: lyskom-0.48+git.20140704.9f19be20.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20140704.9f19be20.el
+lyskom-0.48+git.20140815.afa49c26.elc: lyskom-0.48+git.20140815.afa49c26.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20140815.afa49c26.el
 
-lyskom-0.48+git.20140704.9f19be20.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
-	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+git.20140704.9f19be20.el
+lyskom-0.48+git.20140815.afa49c26.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
+	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+git.20140815.afa49c26.el
 
-install: lyskom-0.48+git.20140704.9f19be20.elc
-	cp lyskom-0.48+git.20140704.9f19be20.el lyskom-0.48+git.20140704.9f19be20.elc $(LISPDIR)
+install: lyskom-0.48+git.20140815.afa49c26.elc
+	cp lyskom-0.48+git.20140815.afa49c26.el lyskom-0.48+git.20140815.afa49c26.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+git.20140704.9f19be20.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20140815.afa49c26.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+git.20140704.9f19be20.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20140815.afa49c26.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+git.20140704.9f19be20.el
+	$(RM) lyskom-0.48+git.20140815.afa49c26.el
 	$(RM) *~ *.elc core *.bak

=== debian/control ===
Source: lyskom-elisp-client
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 8)

Package: lyskom-elisp-client
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Description: emacs client for LysKOM
 A LysKOM client implemented in Emacs LISP. This client is the most
 used and developed one.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION = 0.48+git.20140704.9f19be20
+VERSION := $(shell sed -rn 's/.*lyskom-clientversion "(.*)".*/\1/p' version.el-release)
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -34,7 +34,7 @@
 
 	$(MAKE) lyskom-$(VERSION).el
 	cp lpath.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)
-	gzip -c lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
+	gzip -nc lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
 
 	install -m 644 debian/50$(PACKAGE).el debian/$(PACKAGE)/etc/emacs/site-start.d
 	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/$(PACKAGE)

## lyskom-elisp-client 0.48+git.20160707.372be663

=== Makefile ===
--- 
+++ 
@@ -48,27 +48,29 @@
 SHELL = /bin/sh
 LANGUAGE-EL = $(LANGUAGES:=-strings.el) $(LANGUAGES:=-help.el)
 EMACS-BATCH = $(EMACS) -batch
-HEADER = header.el defvar.el feature.el version.el-release vars.el macros.el compatibility.el language.el help.el
+HEADER1 = header.el defvar.el feature.el
+HEADER2 = vars.el macros.el compatibility.el language.el help.el
+VERSION-EL = version.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+git.20140815.afa49c26.elc
+all: envcheck lyskom-0.48+git.20160707.372be663.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+git.20140815.afa49c26.elc: lyskom-0.48+git.20140815.afa49c26.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20140815.afa49c26.el
+lyskom-0.48+git.20160707.372be663.elc: lyskom-0.48+git.20160707.372be663.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20160707.372be663.el
 
-lyskom-0.48+git.20140815.afa49c26.el: $(HEADER) $(LANGUAGE-EL) $(SOURCES)
-	cat $(HEADER) $(LANGUAGE-EL) $(SOURCES) >lyskom-0.48+git.20140815.afa49c26.el
+lyskom-0.48+git.20160707.372be663.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
+	cat $^ >lyskom-0.48+git.20160707.372be663.el
 
-install: lyskom-0.48+git.20140815.afa49c26.elc
-	cp lyskom-0.48+git.20140815.afa49c26.el lyskom-0.48+git.20140815.afa49c26.elc $(LISPDIR)
+install: lyskom-0.48+git.20160707.372be663.elc
+	cp lyskom-0.48+git.20160707.372be663.el lyskom-0.48+git.20160707.372be663.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+git.20140815.afa49c26.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20160707.372be663.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+git.20140815.afa49c26.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20160707.372be663.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+git.20140815.afa49c26.el
+	$(RM) lyskom-0.48+git.20160707.372be663.el
 	$(RM) *~ *.elc core *.bak

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 8)
 
 Package: lyskom-elisp-client

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION := $(shell sed -rn 's/.*lyskom-clientversion "(.*)".*/\1/p' version.el-release)
+VERSION := 0.48+git.20160707.372be663
 
 build: build-arch build-indep
 build-arch: build-stamp

## lyskom-elisp-client 0.48+git.20180410.1d357c67

=== Makefile ===
--- 
+++ 
@@ -53,24 +53,24 @@
 VERSION-EL = version.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+git.20160707.372be663.elc
+all: envcheck lyskom-0.48+git.20180410.1d357c67.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+git.20160707.372be663.elc: lyskom-0.48+git.20160707.372be663.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20160707.372be663.el
+lyskom-0.48+git.20180410.1d357c67.elc: lyskom-0.48+git.20180410.1d357c67.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20180410.1d357c67.el
 
-lyskom-0.48+git.20160707.372be663.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
-	cat $^ >lyskom-0.48+git.20160707.372be663.el
+lyskom-0.48+git.20180410.1d357c67.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
+	cat $^ >lyskom-0.48+git.20180410.1d357c67.el
 
-install: lyskom-0.48+git.20160707.372be663.elc
-	cp lyskom-0.48+git.20160707.372be663.el lyskom-0.48+git.20160707.372be663.elc $(LISPDIR)
+install: lyskom-0.48+git.20180410.1d357c67.elc
+	cp lyskom-0.48+git.20180410.1d357c67.el lyskom-0.48+git.20180410.1d357c67.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+git.20160707.372be663.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20180410.1d357c67.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+git.20160707.372be663.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20180410.1d357c67.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+git.20160707.372be663.el
+	$(RM) lyskom-0.48+git.20180410.1d357c67.el
 	$(RM) *~ *.elc core *.bak

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Joel Rosdahl <joel@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 8)
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 12)
 
 Package: lyskom-elisp-client
 Architecture: all

## lyskom-elisp-client 0.48+git.20200923.ec349ff4

=== Makefile ===
--- 
+++ 
@@ -53,24 +53,24 @@
 VERSION-EL = version.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+git.20180410.1d357c67.elc
+all: envcheck lyskom-0.48+git.20200923.ec349ff4.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+git.20180410.1d357c67.elc: lyskom-0.48+git.20180410.1d357c67.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20180410.1d357c67.el
+lyskom-0.48+git.20200923.ec349ff4.elc: lyskom-0.48+git.20200923.ec349ff4.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20200923.ec349ff4.el
 
-lyskom-0.48+git.20180410.1d357c67.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
-	cat $^ >lyskom-0.48+git.20180410.1d357c67.el
+lyskom-0.48+git.20200923.ec349ff4.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
+	cat $^ >lyskom-0.48+git.20200923.ec349ff4.el
 
-install: lyskom-0.48+git.20180410.1d357c67.elc
-	cp lyskom-0.48+git.20180410.1d357c67.el lyskom-0.48+git.20180410.1d357c67.elc $(LISPDIR)
+install: lyskom-0.48+git.20200923.ec349ff4.elc
+	cp lyskom-0.48+git.20200923.ec349ff4.el lyskom-0.48+git.20200923.ec349ff4.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+git.20180410.1d357c67.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20200923.ec349ff4.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+git.20180410.1d357c67.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20200923.ec349ff4.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+git.20180410.1d357c67.el
+	$(RM) lyskom-0.48+git.20200923.ec349ff4.el
 	$(RM) *~ *.elc core *.bak

=== debian/changelog ===
lyskom-elisp-client (0.48+git.20200923.ec349ff4-3) unstable; urgency=medium

  * Only support emacs flavor since xemacs21 fails (closes: #987260)

 -- Joel Rosdahl <joel@debian.org>  Wed, 21 Apr 2021 20:56:42 +0200

lyskom-elisp-client (0.48+git.20200923.ec349ff4-2) unstable; urgency=medium

  * Remove byte-compiled file for emacs flavor on purge (closes: #985871)

 -- Joel Rosdahl <joel@debian.org>  Tue, 30 Mar 2021 20:05:37 +0200

lyskom-elisp-client (0.48+git.20200923.ec349ff4-1) unstable; urgency=medium

  * New upstream release 0.48+git.20200923.ec349ff4
  * Bump to Standards-Version 4.5.1 with no changes
  * Update server_list.patch to apply to new version

 -- Joel Rosdahl <joel@debian.org>  Tue, 16 Feb 2021 22:08:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 PACKAGE = lyskom-elisp-client
-VERSION := 0.48+git.20160707.372be663
+VERSION := 0.48+git.20200923.ec349ff4
 
 build: build-arch build-indep
 build-arch: build-stamp

## lyskom-elisp-client 0.48+git.20231226.364902c3

=== Makefile ===
--- 
+++ 
@@ -53,24 +53,24 @@
 VERSION-EL = version.el
 SOURCES	 = komtypes.el clienttypes.el faces.el deferred-insert.el utilities.el completing-read.el keyboard-menu.el command.el buffers.el aux-items.el mime.el prefetch.el startup.el reading.el internal.el services.el parse.el cache.el view-mode.el names.el commands1.el commands2.el review.el edit-text.el filter.el filter-edit.el lyskom-buttons.el view-text.el async.el mship-edit.el flags.el messages.el ansaphone.el remote-control.el menus.el slow.el elib-string.el option-edit.el talkback.el faqs.el user-hooks.el lyskom-rest.el
 
-all: envcheck lyskom-0.48+git.20200923.ec349ff4.elc
+all: envcheck lyskom-0.48+git.20231226.364902c3.elc
 
 envcheck:
 	$(EMACS-BATCH) -l envcheck.el -f lyskom-check-environment
 
-lyskom-0.48+git.20200923.ec349ff4.elc: lyskom-0.48+git.20200923.ec349ff4.el
-	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20200923.ec349ff4.el
+lyskom-0.48+git.20231226.364902c3.elc: lyskom-0.48+git.20231226.364902c3.el
+	$(EMACS-BATCH) -l lpath.el -l help-compile.el -f batch-byte-compile lyskom-0.48+git.20231226.364902c3.el
 
-lyskom-0.48+git.20200923.ec349ff4.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
-	cat $^ >lyskom-0.48+git.20200923.ec349ff4.el
+lyskom-0.48+git.20231226.364902c3.el: $(HEADER1) $(VERSION-EL) $(HEADER2) $(LANGUAGE-EL) $(SOURCES)
+	cat $^ >lyskom-0.48+git.20231226.364902c3.el
 
-install: lyskom-0.48+git.20200923.ec349ff4.elc
-	cp lyskom-0.48+git.20200923.ec349ff4.el lyskom-0.48+git.20200923.ec349ff4.elc $(LISPDIR)
+install: lyskom-0.48+git.20231226.364902c3.elc
+	cp lyskom-0.48+git.20231226.364902c3.el lyskom-0.48+git.20231226.364902c3.elc $(LISPDIR)
 	rm -f $(LISPDIR)/lyskom.el
-	ln -s lyskom-0.48+git.20200923.ec349ff4.el $(LISPDIR)/lyskom.el
+	ln -s lyskom-0.48+git.20231226.364902c3.el $(LISPDIR)/lyskom.el
 	rm -f $(LISPDIR)/lyskom.elc
-	ln -s lyskom-0.48+git.20200923.ec349ff4.elc $(LISPDIR)/lyskom.elc
+	ln -s lyskom-0.48+git.20231226.364902c3.elc $(LISPDIR)/lyskom.elc
 
 clean:
-	$(RM) lyskom-0.48+git.20200923.ec349ff4.el
+	$(RM) lyskom-0.48+git.20231226.364902c3.el
 	$(RM) *~ *.elc core *.bak

=== debian/changelog ===
lyskom-elisp-client (0.48+git.20231226.364902c3-3) unstable; urgency=medium

  * Disable dh_auto_install (closes: #1070365)

 -- Joel Rosdahl <joel@debian.org>  Sat, 04 May 2024 20:38:31 +0200

lyskom-elisp-client (0.48+git.20231226.364902c3-2) unstable; urgency=medium

  * Add emacs as build dependencys (closes: #1069935)
  * Bump to Standards-Version 4.7.0 with no changes

 -- Joel Rosdahl <joel@debian.org>  Sat, 27 Apr 2024 14:26:55 +0200

lyskom-elisp-client (0.48+git.20231226.364902c3-1) unstable; urgency=medium

  * New upstream release 0.48+git.20231226.364902c3
  * Bump to Standards-Version 4.6.2 with no changes
  * Add .gitignore
  * Convert to dh sequencer
  * Work around Emacs byte-compilation bug (closes: #1058739)

 -- Joel Rosdahl <joel@debian.org>  Tue, 26 Dec 2023 16:05:18 +0100

=== debian/control ===
Source: lyskom-elisp-client
Section: net
Priority: optional
Maintainer: Joel Rosdahl <joel@debian.org>
Standards-Version: 4.7.0
Build-Depends: emacs, debhelper-compat (= 12)

Package: lyskom-elisp-client
Architecture: all
Depends: emacs, ${misc:Depends}
Description: emacs client for LysKOM
 A LysKOM client implemented in Emacs LISP. This client is the most
 used and developed one.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = lyskom-elisp-client
VERSION := 0.48+git.20231226.364902c3

%:
	dh $@

override_dh_update_autotools_config:
override_dh_auto_configure:
override_dh_autoreconf:

override_dh_auto_build:
	$(MAKE) lyskom-$(VERSION).el

override_dh_auto_install:
# Don't install into /usr/local

override_dh_install:
	gzip -nc lyskom-$(VERSION).el >debian/$(PACKAGE)/usr/share/emacs/site-lisp/$(PACKAGE)/$(PACKAGE).el.gz
	install -m 644 lpath.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/lyskom-elisp-client/
	install -m 644 debian/fullserverlist.el debian/englishserverlist.el debian/$(PACKAGE)/usr/share/emacs/site-lisp/lyskom-elisp-client/
	install -m 644 debian/50lyskom-elisp-client.el debian/$(PACKAGE)/etc/emacs/site-start.d/
	install -m 755 debian/emacsen-common-install debian/$(PACKAGE)/usr/lib/emacsen-common/packages/install/lyskom-elisp-client
	install -m 755 debian/emacsen-common-remove debian/$(PACKAGE)/usr/lib/emacsen-common/packages/remove/lyskom-elisp-client

=== debian/watch ===
# No URL to watch.
